# System property get

An action block that gets the value of a system property.

The fiber will proceed immediately without pause.

The name of properties varies greatly depending on device, not for general use. The resulting value is always assigned as text.

Common properties:

- ro.product.brand
- ro.product.build.fingerprint
- ro.product.device
- ro.product.manufacturer
- ro.product.model
- ro.product.name
- ro.product.vendor.brand
- ro.product.vendor.device
- ro.product.vendor.manufacturer
- ro.product.vendor.model
- ro.product.vendor.name
- ro.vendor.build.fingerprint
- ro.vendor.product.brand
- ro.vendor.product.device
- ro.vendor.product.manufacturer
- ro.vendor.product.model
- ro.vendor.product.name

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `getprop <name>`

Note! This feature isn’t officially supported, may not work on all devices.

## Input arguments

- Name — name of property.

## Output variables

- Current value — variable to assign the current text value of the property.